Bug 495951 - Kontact start many copies of gpg servers
Summary: Kontact start many copies of gpg servers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepim
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukáš Tinkl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-15 17:12 UTC by Steve Grubb
Modified: 2015-07-13 17:35 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-16 11:44:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 183875 None None None Never

Description Steve Grubb 2009-04-15 17:12:21 UTC
Description of problem:
When running kontact, it starts hundreds of gpg servers and dirmngrs. After a couple hours, the list can be quite long. Also, this blocks sending to some people for 2-3 minutes while lots of network traffic occurs, and it sometimes blocks reading email while lots of network traffic occurs for 2-3 minutes.

Version-Release number of selected component (if applicable):
kdepim-4.2.1-3.fc10.x86_64

How reproducible:
every time

Steps to Reproduce:
1. Run kontact looking through emails
2. run ps -ef
  
Actual results (very small sample):
sgrubb    3910     1  0 10:24 ?        00:00:00 gpgsm --server
sgrubb    3914     1  0 10:24 ?        00:00:00 gpgsm --server
sgrubb    3918     1  0 10:24 ?        00:00:00 gpgsm --server
sgrubb    3922     1  0 10:24 ?        00:00:00 gpgsm --server
sgrubb    3926     1  0 10:24 ?        00:00:00 gpgsm --server
sgrubb    3930     1  0 10:24 ?        00:00:00 gpgsm --server
sgrubb    3934     1  0 10:24 ?        00:00:00 gpgsm --server
sgrubb    3938     1  0 10:24 ?        00:00:00 gpgsm --server
sgrubb    5819     1  0 11:23 ?        00:00:00 gpgsm --server
sgrubb    5823     1  0 11:23 ?        00:00:00 gpgsm --server
sgrubb    5829     1  0 11:27 ?        00:00:00 gpgsm --server
sgrubb    5830  5829  0 11:27 ?        00:00:00 [dirmngr] <defunct>
sgrubb    5833     1  0 11:27 ?        00:00:00 gpgsm --server
sgrubb    5834  5833  0 11:27 ?        00:00:00 gpg-agent --server
sgrubb    5837     1  0 11:30 ?        00:00:00 gpgsm --server
sgrubb    5838  5837  0 11:30 ?        00:00:00 [dirmngr] <defunct>
sgrubb    5841     1  0 11:30 ?        00:00:00 gpgsm --server
sgrubb    5842  5841  0 11:30 ?        00:00:00 gpg-agent --server
sgrubb    5857     1  0 11:32 ?        00:00:00 gpgsm --server
sgrubb    5858  5857  0 11:32 ?        00:00:00 [dirmngr] <defunct>
sgrubb    5861     1  0 11:32 ?        00:00:00 gpgsm --server
sgrubb    5862  5861  0 11:32 ?        00:00:00 gpg-agent --server
sgrubb    5895     1  0 11:38 ?        00:00:00 gpgsm --server
sgrubb    5896  5895  0 11:38 ?        00:00:00 dirmngr --server
sgrubb    5900  5895  0 11:39 ?        00:00:00 gpg-agent --server
sgrubb    5902     1  0 11:39 ?        00:00:00 gpgsm --server
sgrubb    5903  5902  0 11:39 ?        00:00:00 gpg-agent --server
sgrubb    5940     1  0 12:47 ?        00:00:00 gpgsm --server
sgrubb    5942     1  0 12:47 ?        00:00:00 gpgsm --server
sgrubb    5943  5942  0 12:47 ?        00:00:00 gpg-agent --server
sgrubb    5947     1  0 12:48 ?        00:00:00 gpgsm --server
sgrubb    5948  5947  0 12:48 ?        00:00:00 dirmngr --server
sgrubb    5949  5947  0 12:48 ?        00:00:00 gpg-agent --server
sgrubb    5951     1  0 12:48 ?        00:00:00 gpgsm --server
sgrubb    5952  5951  0 12:48 ?        00:00:00 gpg-agent --server
sgrubb    5960     1  0 12:54 ?        00:00:00 gpgsm --server
sgrubb    5961  5960  0 12:54 ?        00:00:00 dirmngr --server
sgrubb    5962  5960  0 12:54 ?        00:00:00 gpg-agent --server
sgrubb    5964     1  0 12:54 ?        00:00:00 gpgsm --server
sgrubb    5965  5964  0 12:54 ?        00:00:00 gpg-agent --server
sgrubb    6056     1  0 13:03 ?        00:00:00 gpgsm --server
sgrubb    6057  6056  0 13:03 ?        00:00:00 dirmngr --server
sgrubb    6058  6056  0 13:03 ?        00:00:00 gpg-agent --server
sgrubb    6060     1  0 13:03 ?        00:00:00 gpgsm --server
sgrubb    6061  6060  0 13:03 ?        00:00:00 gpg-agent --server


Expected results:
I don't know, but this is just wrong. Maybe 1 instance.

Comment 1 Rex Dieter 2009-04-15 17:20:02 UTC
/etc/kde/env/gpg-agent-startup.sh

is supposed to start a single instance, and not start another if one is already running.  any ideas why it's not working for you?

(and /etc/kde/shutdown/gpg-agent-shutdown.sh to stop on logout)

Comment 2 Rex Dieter 2009-04-15 17:21:43 UTC
that is, unless you're not using kde... not sure how kontact reacts to gpg-agent not already running (starts it itself?).  maybe that's part of the problem here.

Comment 3 Steve Grubb 2009-04-15 18:59:53 UTC
I am running kontact from a gnome session. Specifically, I changed the email setting in gnome's menu for system/preferences/personal/preferred applications.

Comment 4 Steve Grubb 2009-04-23 13:04:39 UTC
This problem still exists in kdepim-4.2.2-3.fc10.x86_64. Everytime I try to send an email, I have to do a killall dirmngr to get the email to leave my machine. Has anyone looking at this bug duplicated the problem? Do you know what a PITA this is? Thanks.

Comment 5 Rex Dieter 2009-04-23 13:13:37 UTC
Agreed, pita truly, madly, deeply.

Comment 6 Nicola Soranzo 2009-04-29 12:55:20 UTC
I also have lots of "gpgsm --server" and "dirmngr --server" running, with Kontact under GNOME.

Comment 7 Steven M. Parrish 2009-05-31 02:21:18 UTC
Has anyone seen this issue when running under KDE?  For now I am going to suggest filing a report upstream at http://bugs.kde.org Please add the upstream information to this report so we can monitor it for a resolution.

Comment 8 Steve Grubb 2009-06-01 14:20:08 UTC
I don't have and don't want a kde bz account. Seems like someone that works on this package would be on the right mail lists and have a working relationship with upstream. Thanks. Btw, the problem still exists in the 4.2.3-1.fc10.x86_64 package.

Comment 9 Steven M. Parrish 2009-06-01 21:54:08 UTC
Thanks for your comment.  The KDE-SIG is responsible for the packaging of upstream KDE apps, as such we can only fix problems with our packaging. While we appreciate your report this is a situation which if you want fixed needs to be addressed upstream.  Luckily another user reported this upstream several months ago so upstream is aware of it.

While we do work with the upstream devs they want these issues filed in their bug reporting system.  By reporting it to them directly they are then able to not only ask questions of the reporter(you) but keep you up to date as they work to fix the issue.  Bugs not filed upstream will be closed as INSUFFICIENT_DATA.

Comment 10 Rex Dieter 2009-06-11 16:47:03 UTC
Looks like this is a bigger/wider problem that originally thought, and due to lack of upstream response so far, I'll pick up the torch here, and do some poking.

Comment 11 Michal Hlavinka 2009-07-17 11:20:12 UTC
I have 22 gpgsm --server s running right now using kde 4.2.95

Comment 12 Rex Dieter 2009-07-17 12:00:43 UTC
Michal, how about # of gpg-agent's ?

Comment 13 Michal Hlavinka 2009-07-17 12:08:11 UTC
only one

Comment 14 Steven M. Parrish 2009-09-08 02:22:22 UTC
Ping

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 15 Rex Dieter 2009-10-16 11:44:27 UTC
My all accounts, this seems to have been resolved in 4.2.4 (or 4.3.0 ?).

If anyone is still experiencing this, please comment/re-open.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.